=== modified file '__init__.py'
--- __init__.py	2007-03-26 17:16:00 +0000
+++ __init__.py	2007-05-08 14:35:58 +0000
@@ -338,7 +338,7 @@
         cmd_obj = cmd_class()
         indent = 2 * ' '
 
-        usage = help.command_usage(cmd_obj)
+        usage = cmd_obj._usage()
         usage = usage.replace('bzr shelf-', '')
         text.append('%s%s\n' % (indent, usage))
 

=== modified file 'tests/shelf_tests.py'
--- tests/shelf_tests.py	2007-03-26 16:43:48 +0000
+++ tests/shelf_tests.py	2007-05-08 14:35:58 +0000
@@ -7,6 +7,7 @@
     UnshelveHunkSelector,
     )
 from bzrlib.plugins.bzrtools.errors import NoColor
+from bzrlib.plugins.bzrtools import cmd_shelf
 
 
 class ShelfTests(bzrlib.tests.TestCaseWithTransport):
@@ -616,3 +617,7 @@
                                                '--no-color'])
         stdout, error = self.run_bzr_captured(['unshelve', '--all', 
                                                '--no-color'])
+
+    def test_shelf_help(self):
+        self.assertContainsRe(cmd_shelf().help(),
+                              'list\n.*List the patches on the current shelf')

